IDLOC(3)

SYNOPSIS
INTEGER FUNCTION IDLOC (LOC, SX, IX)

NAME
idloc - Subsidiary to DSPLP

LIBRARY
SLATEC

TYPE
DOUBLE PRECISION (IPLOC-S, IDLOC-D)

KEYWORDS
RELATIVE ADDRESS DETERMINATION FUNCTION, SLATEC

AUTHOR
Boland, W. Robert, (LANL) Nicol, Tom, (University of British Columbia)

DESCRIPTION
Given a "virtual" location, IDLOC returns the relative working address of the vector component stored in SX, IX. Any necessary page swaps are performed automatically for the user in this function subprogram. LOC is the "virtual" address of the data to be retrieved. SX ,IX represent the matrix where the data is stored.

SEE ALSO
DSPLP

ROUTINES CALLED
DPRWPG, XERMSG

REVISION HISTORY (YYMMDD)
890606 DATE WRITTEN
890606 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
910731 Added code to set IDLOC to 0 if LOC is non-positive. (WRB)